[arch-commits] Commit in (5 files)

Vesa Kaihlavirta vesa at archlinux.org
Tue Jan 19 03:10:02 EST 2010


    Date: Tuesday, January 19, 2010 @ 03:10:02
  Author: vesa
Revision: 64010

add haskell-src (formerly with ghc)

Added:
  haskell-haskell-src/
  haskell-haskell-src/repos/
  haskell-haskell-src/trunk/
  haskell-haskell-src/trunk/PKGBUILD
  haskell-haskell-src/trunk/haskell-haskell-src.install

-----------------------------+
 PKGBUILD                    |   26 ++++++++++++++++++++++++++
 haskell-haskell-src.install |   14 ++++++++++++++
 2 files changed, 40 insertions(+)

Added: haskell-haskell-src/trunk/PKGBUILD
===================================================================
--- haskell-haskell-src/trunk/PKGBUILD	                        (rev 0)
+++ haskell-haskell-src/trunk/PKGBUILD	2010-01-19 08:10:02 UTC (rev 64010)
@@ -0,0 +1,26 @@
+# Maintainer: Vesa Kaihlavirta <vesa at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+pkgname=haskell-haskell-src
+pkgver=1.0.1.3
+pkgrel=1
+pkgdesc="Facilities for manipulating Haskell source code: an abstract syntax, lexer, parser and pretty-printer."
+url="http://hackage.haskell.org/cgi-bin/hackage-scripts/package/haskell-src"
+license=('custom:BSD3')
+arch=('i686' 'x86_64')
+depends=(ghc=6.12.1 sh)
+options=('strip')
+source=(http://hackage.haskell.org/packages/archive/haskell-src/$pkgver/haskell-src-$pkgver.tar.gz)
+install=$pkgname.install
+
+build() {
+    cd $srcdir/haskell-src-$pkgver
+    runhaskell Setup configure -p --enable-split-objs --enable-shared --prefix=/usr || return 1
+    runhaskell Setup build                   || return 1
+    runhaskell Setup register   --gen-script || return 1
+    runhaskell Setup unregister --gen-script || return 1
+    install -D -m744 register.sh   $pkgdir/usr/share/haskell/$pkgname/register.sh
+    install    -m744 unregister.sh $pkgdir/usr/share/haskell/$pkgname/unregister.sh
+    runhaskell Setup copy --destdir=$pkgdir || return 1
+    install -D -m644 LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE || return 1
+}
+md5sums=('27ec8f55eca844852815f916935f192d')

Added: haskell-haskell-src/trunk/haskell-haskell-src.install
===================================================================
--- haskell-haskell-src/trunk/haskell-haskell-src.install	                        (rev 0)
+++ haskell-haskell-src/trunk/haskell-haskell-src.install	2010-01-19 08:10:02 UTC (rev 64010)
@@ -0,0 +1,14 @@
+HS_DIR=/usr/share/haskell/haskell-haskell-src
+post_install() {
+  ${HS_DIR}/register.sh
+}
+pre_upgrade() {
+  ${HS_DIR}/unregister.sh &> /dev/null
+  exit 0
+}
+post_upgrade() {
+  ${HS_DIR}/register.sh
+}
+pre_remove() {
+  ${HS_DIR}/unregister.sh
+}



More information about the arch-commits mailing list